## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global forgeurl    https://bitbucket.org/gbcox/transflac/
%global commit      2a85355388d8

Name:           transflac
Version:        1.2.6
Summary:        Transcode FLAC to lossy formats
License:        GPL-3.0-or-later

%{forgemeta}

URL:            %{forgeurl}
Release:        %autorelease
Source0:        %{forgesource}
Source1:        %{name}.rpmlintrc

BuildArch:      noarch
BuildRequires:  make
Requires:       figlet
Requires:       flac
Requires:       vorbis-tools
Requires:       opus-tools
Requires:       rsync
Requires:       procps-ng
Requires:       coreutils
Requires:       (ffmpeg or ffmpeg-free)

%description
transflac is a front end command line utility (actually, a bash script)
that transcodes FLAC audio files into various lossy formats.

%prep
%{forgesetup}
%autosetup -n %{archivename}

%build

%install
%make_install prefix=%{_prefix} sysconfdir=%{_sysconfdir}

%files
%license LICENSE.md
%doc README.md contributors.txt
%config(noreplace) %{_sysconfdir}/transflac.conf
%{_bindir}/transflac
%dir %{_libexecdir}/%{name}
%{_libexecdir}/%{name}/src-tf-set-colors.sh
%{_libexecdir}/%{name}/src-tf-ck-codec.sh
%{_libexecdir}/%{name}/src-tf-ck-input.sh
%{_libexecdir}/%{name}/src-tf-ck-output.sh
%{_libexecdir}/%{name}/src-tf-ck-quality.sh
%{_libexecdir}/%{name}/src-tf-codec.sh
%{_libexecdir}/%{name}/src-tf-figlet.sh
%{_libexecdir}/%{name}/src-tf-help.sh
%{_libexecdir}/%{name}/src-tf-terminal-header.sh
%{_libexecdir}/%{name}/src-tf-conf-override.sh
%{_libexecdir}/%{name}/src-tf-set-variables.sh
%{_libexecdir}/%{name}/src-tf-table.sh
%{_libexecdir}/%{name}/src-tf-progress-bar.sh
%{_mandir}/man1/transflac.1*

%changelog
## START: Generated by rpmautospec
* Fri Nov 15 2024 gbcox <gbcox@bzb.us> - 1.2.6-1
- rhbz#2326308

* Thu Nov 14 2024 gbcox <gbcox@bzb.us> - 1.2.5-2
- rhbz#2326308

* Thu Nov 14 2024 gbcox <gbcox@bzb.us> - 1.2.5-1
- rhbz#2326308

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Aug 24 2023 gbcox <gbcox@bzb.us> - 1.2.4-2
- Upstream release rhbz#2232795

* Thu Aug 24 2023 gbcox <gbcox@bzb.us> - 1.2.4-1
- Upstream release rhbz#2232795

* Fri Aug 18 2023 gbcox <gbcox@bzb.us> - 1.2.3-1
- Upstream release rhbz#2232795

* Mon Jul 31 2023 gbcox <gbcox@bzb.us> - 1.2.2-1
- Upstream release - 2227958

* Mon Jul 31 2023 gbcox <gbcox@bzb.us> - 1.2.1-1
- Upstream Release - rhbz#2227590

* Mon Jul 31 2023 gbcox <gbcox@bzb.us> - 1.2.0-1
- Upstream release - rhbz#2227590

* Fri Jul 28 2023 gbcox <gbcox@bzb.us> - 1.1.1-2
- rhbz#2227169

* Tue Jul 25 2023 gbcox <gbcox@bzb.us> - 1.1.1-1
- Upstream release -rhbz#2225625

* Mon Jul 24 2023 gbcox <gbcox@bzb.us> - 1.1.0-1
- rhbz#2224934

* Mon Jul 24 2023 gbcox <gbcox@bzb.us> - 1.0.2-7
- rhbz#2224934

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jan 31 2023 Gerald Cox <gbcox@fedoraproject.org> - 1.0.2-4
- Update for SPDX

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Feb 24 2022 Gerald Cox <gbcox@fedoraproject.org> - 1.0.2-1
- Upstream release rhbz#2058360

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jan 31 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Nov 08 2019 Gerald Cox <gbcox@fedoraproject.org> - 1.0.1-1
- Upstream release rhbz#1767252

* Thu Oct 31 2019 Gerald Cox <gbcox@fedoraproject.org> - 1.0.0-3
- Fedora Review rhbz#1767252

* Thu Oct 31 2019 Gerald Cox <gbcox@fedoraproject.org> - 1.0.0-2
- Fedora Review rhbz#1767252

* Wed Oct 30 2019 Gerald Cox <gbcox@fedoraproject.org> - 1.0.0-1
- initial build

## END: Generated by rpmautospec
